American-transaction costs 1.0.0.0 American option pricer under proportional transaction costs

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
ParameterIntegrableBridge Class Reference

Wrapper class for ParameterIntegrable. More...

`#include <integrablebridge.h>`

List of all members.

## Public Member Functions
coefficient | integral (const coefficient time1, const coefficient time2) const
coefficient | integral_square (const coefficient time1, const coefficient time2) const
coefficient | operator() (const coefficient time) const
ParameterIntegrableBridge & | operator= (const ParameterIntegrableBridge &original)
| ParameterIntegrableBridge (const ParameterIntegrable &parameter)
| ParameterIntegrableBridge (const ParameterIntegrableBridge &original)
coefficient | root_integral_square (const coefficient time1, const coefficient time2) const
| ~ParameterIntegrableBridge ()

## Detailed Description

Wrapper class for ParameterIntegrable.

Inspired by the Parameters class in Mark Joshi "Design Patterns and Derivatives Pricing", Cambridge University Press, 2004.

Author:
  Alet Roux <alet.roux@york.ac.uk>

## Constructor & Destructor Documentation

ParameterIntegrableBridge::ParameterIntegrableBridge | ( | const ParameterIntegrableBridge & | original | ) | `[inline]`

ParameterIntegrableBridge::ParameterIntegrableBridge | ( | const ParameterIntegrable & | parameter | ) | `[inline]`

ParameterIntegrableBridge::~ParameterIntegrableBridge | ( |  | ) | `[inline]`

## Member Function Documentation

coefficient ParameterIntegrableBridge::integral | ( | const coefficient | time1,
|  | const coefficient | time2
| ) |  | const`[inline]`

Integral of parameter over [time1, time2].

coefficient ParameterIntegrableBridge::integral_square | ( | const coefficient | time1,
|  | const coefficient | time2
| ) |  | const`[inline]`

Integral of squared parameter over [time1, time2].

coefficient ParameterIntegrableBridge::operator() | ( | const coefficient | time | ) | const`[inline]`

Current value of parameter.

ParameterIntegrableBridge& ParameterIntegrableBridge::operator= | ( | const ParameterIntegrableBridge & | original | ) | `[inline]`

Assignment operator.

coefficient ParameterIntegrableBridge::root_integral_square | ( | const coefficient | time1,
|  | const coefficient | time2
| ) |  | const`[inline]`

Square root of integral of squared parameter over [time1, time2].

The documentation for this class was generated from the following file:

- parameter/integrablebridge.h

All Classes Namespaces Files Functions Variables Typedefs Defines